<?xml version="1.0" encoding="iso-8859-1"?>
<!--Addenda Audi para los tipos M, S, FR, y X .-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:M="http://www.Audi.net.mx/Addenda/M" xmlns:S="http://www.Audi.net.mx/Addenda/S" xmlns:FR="http://www.Audi.net.mx/Addenda/FR" xmlns:X="http://www.Audi.net.mx/Addenda/X">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:variable name="tipadd" select="Datos/Receptor/@Referencia"/>
		<xsl:variable name="pFac" select="concat($tipadd,':Factura')"/>
		<xsl:variable name="pCan" select="concat($tipadd,':Cancelaciones')"/>
		<xsl:variable name="pMon" select="concat($tipadd,':Moneda')"/>
		<xsl:variable name="pProv" select="concat($tipadd,':Proveedor')"/>
		<xsl:variable name="pTran" select="concat($tipadd,':Transportista')"/>
		<xsl:variable name="pMed" select="concat($tipadd,':Medidas')"/>
		<xsl:variable name="pRef" select="concat($tipadd,':Referencias')"/>
		<xsl:variable name="pSol" select="concat($tipadd,':Solicitante')"/>
		<xsl:variable name="pNot" select="concat($tipadd,':Nota')"/>
		<xsl:variable name="pArch" select="concat($tipadd,':Archivo')"/>
		<xsl:variable name="pPartes" select="concat($tipadd,':Partes')"/>
		<xsl:variable name="pParte" select="concat($tipadd,':Parte')"/>
		<xsl:variable name="pRefPar" select="concat($tipadd,':Referencias')"/>
		<xsl:variable name="pNotPar" select="concat($tipadd,':Nota')"/>
		<xsl:element name="{$pFac}">
			<xsl:variable name="totiva16" select="sum(Datos/Documento/Partidas/Partida/Impuestos/Impuesto[@Tipo='IVA' and @Porcentaje=16]/@Importe)"/>
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:variable name="tpodoc" select="Datos/Documento/@TipoDocumento"/>
			<xsl:attribute name="tipoDocumentoFiscal">				
				<xsl:choose>
					<xsl:when test="$tpodoc = 1">
						<xsl:text>FA</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 2">
						<xsl:text>NC</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 3">
						<xsl:text>ND</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text/>
					</xsl:otherwise>
				</xsl:choose>	
			</xsl:attribute>
			<xsl:attribute name="tipoDocumento">
				<xsl:value-of select="$tipadd"/>
			</xsl:attribute>
			<xsl:attribute name="codigoImpuesto">
				<xsl:choose>
					<xsl:when test="$totiva16 &gt; 0">
						<xsl:text>D2</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>V0</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="Datos/Documento/@Dato3 !=''">
				<xsl:element name="{$pCan}">
					<xsl:attribute name="cancelaSustituye">
						<xsl:value-of select="substring(Datos/Documento/@Dato3,1,16)"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:if>
			<xsl:element name="{$pMon}">
				<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
				<xsl:attribute name="tipoMoneda">
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>EUR</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="{$pProv}">
				<xsl:attribute name="noProveedor">
					<xsl:value-of select="substring(Datos/Emisor/@noProveedor,1,10)"/>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$tipadd = 'S' or $tipadd = 'X' or $tipadd = 'FR'">
						<xsl:attribute name="eMail">
							<xsl:value-of select="substring(Datos/Emisor/@Email,1,80)"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:when test="$tipadd = 'M'">
						<xsl:if test="Datos/Emisor/@Email !=''">
							<xsl:attribute name="eMail">
								<xsl:value-of select="substring(Datos/Emisor/@Email,1,80)"/>
							</xsl:attribute>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
			</xsl:element>
			<xsl:if test="$tipadd = 'FR'">
				<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/Transportistas/Transportista[@CodigoFlete != '']">
					<xsl:element name="{$pTran}">
						<xsl:if test="@NumeroBFL != ''">
							<xsl:attribute name="noBFL">
								<xsl:value-of select="@NumeroBFL"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@GuiaAereaMaster != ''">
							<xsl:attribute name="guiaAereaMaster">
								<xsl:value-of select="@GuiaAereaMaster"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@GuiaAereaHouse != ''">
							<xsl:attribute name="guiaAereaHouse">
								<xsl:value-of select="@GuiaAereaHouse"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@BLMaster != ''">
							<xsl:attribute name="BLMaster">
								<xsl:value-of select="@BLMaster"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@BLHouse != ''">
							<xsl:attribute name="BLHouse">
								<xsl:value-of select="@BLHouse"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="codigoFlete">
							<xsl:value-of select="@CodigoFlete"/>
						</xsl:attribute>
						<xsl:if test="@FechaETD != ''">
							<xsl:attribute name="ETD">
								<xsl:value-of select="concat(substring(@FechaETD,7,4),'-',substring(@FechaETD,4,2),'-',substring(@FechaETD,1,2))"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@FechaETA != ''">
							<xsl:attribute name="ETA">
								<xsl:value-of select="concat(substring(@FechaETA,7,4),'-',substring(@FechaETA,4,2),'-',substring(@FechaETA,1,2))"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@NombreUsuario != ''">
							<xsl:attribute name="nombreUsuario">
								<xsl:value-of select="@NombreUsuario"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@DireccionOrigen != ''">
							<xsl:attribute name="direccionOrigen">
								<xsl:value-of select="@DireccionOrigen"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@DireccionDestino != ''">
							<xsl:attribute name="direccionDestino">
								<xsl:value-of select="@DireccionDestino"/>
							</xsl:attribute>
						</xsl:if>
					</xsl:element>
					<xsl:element name="{$pMed}">
						<xsl:attribute name="pesoBruto">
							<xsl:value-of select="format-number(@PesoBruto,'0.00')"/>
						</xsl:attribute>
						<xsl:attribute name="pesoNeto">
							<xsl:value-of select="format-number(@PesoNeto,'0.00')"/>
						</xsl:attribute>
						<xsl:attribute name="volumen">
							<xsl:value-of select="format-number(@Volumen,'0.00')"/>
						</xsl:attribute>
						<xsl:if test="@TotalPiezas &gt; 0">
							<xsl:attribute name="noPiezas">
								<xsl:value-of select="@TotalPiezas"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@Descripcion != ''">
							<xsl:attribute name="descripcion">
								<xsl:value-of select="@Descripcion"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:attribute name="idFlete">
							<xsl:value-of select="@NumIdentificacionFlete"/>
						</xsl:attribute>
						<xsl:attribute name="noContenedor">
							<xsl:value-of select="@NumCont-Caja-Eco"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:for-each>
			</xsl:if>
			<xsl:if test="$tipadd != 'FR'">
				<xsl:if test="Datos/Documento/XMLAddenda/Documento/@UnidadNegocio != ''">
					<xsl:element name="{$pRef}">
						<xsl:attribute name="unidadNegocio">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@UnidadNegocio"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="$tipadd = 'M' or $tipadd = 'S' or $tipadd = 'FR'">
					<xsl:if test="Datos/Documento/XMLAddenda/Documento/@CorreoSolicitante != ''">
						<xsl:element name="{$pSol}">
							<xsl:attribute name="eMail">
								<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@CorreoSolicitante"/>
							</xsl:attribute>
						</xsl:element>
					</xsl:if>
				</xsl:when>
				<xsl:when test="$tipadd = 'X'">
					<xsl:element name="{$pSol}">
						<xsl:attribute name="eMail">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/@CorreoSolicitante"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:when>
			</xsl:choose>
			<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/Nota/Notas">
				<xsl:if test="@NotaDocumento != ''">
					<xsl:element name="{$pNot}">
						<xsl:attribute name="Notas">
							<xsl:value-of select="@NotaDocumento"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="/Datos/Documento/Archivos/Archivo">
				<xsl:if test="@Contenido != ''">
					<xsl:element name="{$pArch}">
						<xsl:attribute name="datos">
							<xsl:value-of select="@Contenido"/>
						</xsl:attribute>
						<xsl:attribute name="tipo">
							<xsl:value-of select="translate(@Extension,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>				
			</xsl:for-each>
			<xsl:element name="{$pPartes}">
				<xsl:for-each select="/Datos/Documento/Partidas/Partida">
					<xsl:element name="{$pParte}">
						<xsl:attribute name="posicion">
							<xsl:value-of select="./XMLAddenda/Partida/@NumPartidaOC"/>
						</xsl:attribute>
						<xsl:choose>
							<xsl:when test="$tipadd = 'M'">
								<xsl:attribute name="numeroParte">
									<xsl:value-of select="substring(@CodigoCliente,1,16)"/>
								</xsl:attribute>
							</xsl:when>
							<xsl:when test="$tipadd = 'S' or $tipadd = 'X'">
								<xsl:if test="@CodigoCliente !=''">
									<xsl:attribute name="numeroParte">
										<xsl:value-of select="substring(@CodigoCliente,1,16)"/>
									</xsl:attribute>
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:attribute name="descripcion">
							<xsl:value-of select="substring(@Descripcion,1,40)"/>
						</xsl:attribute>
						<xsl:attribute name="cantidad">
							<xsl:value-of select="format-number(@Cantidad,'0.0000')"/>
						</xsl:attribute>
						<xsl:attribute name="unidadMedida">
							<xsl:value-of select="@UnidadMedida"/>
						</xsl:attribute>
						<xsl:attribute name="precioUnitario">
							<xsl:value-of select="format-number(@PrecioBruto,'0.00000')"/>
						</xsl:attribute>
						<xsl:attribute name="montoLinea">
							<xsl:value-of select="format-number(@SubTotal,'0.00')"/>
						</xsl:attribute>
						<xsl:variable name="iva16parte" select="sum(./Impuestos/Impuesto[@Tipo='IVA' and @Porcentaje=16]/@Importe)"/>
						<xsl:if test="$tipadd != 'FR'">
							<xsl:attribute name="codigoImpuesto">
								<xsl:choose>
									<xsl:when test="$iva16parte &gt; 0">
										<xsl:text>D2</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>V0</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="/Datos/Documento/OrdenesCompra/OrdenCompra/@No != '' or /Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio != ''">
							<xsl:element name="{$pRefPar}">
								<xsl:if test="/Datos/Documento/OrdenesCompra/OrdenCompra/@No !=''">
									<xsl:attribute name="ordenCompra">
										<xsl:value-of select="substring(/Datos/Documento/OrdenesCompra/OrdenCompra/@No,1,10)"/>
									</xsl:attribute>
								</xsl:if>
								<xsl:if test="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio !=''">
									<xsl:attribute name="notaEntrega">
										<xsl:value-of select="substring(/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio,1,10)"/>
									</xsl:attribute>
								</xsl:if>
							</xsl:element>
						</xsl:if>
						<xsl:for-each select="./XMLAddenda/Partida/NotasPar/NotasPartida">						
							<xsl:if test="@Nota !=''">
								<xsl:element name="{$pNotPar}">
									<xsl:value-of select="@Nota"/>
								</xsl:element>
							</xsl:if>
						</xsl:for-each>	
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
